"use strict";
this.name        = "upsSatelite";
this.author      = "eric walch";
this.copyright   = "2008 eric walch.";
this.description = "Code for an upright satelite";
this.license     = "CC BY-NC-SA 3.0";

this.shipSpawned = function ()
{
	var targetVector = this.ship.position.subtract(system.mainPlanet.position).direction();
    this.ship.orientation = targetVector.rotationTo(new Vector3D(0,0,1));

	delete this.shipSpawned;
}

this.shipDied = function ()
{
    this.ship.commsMessage("Mayday, mayday, radar down!");
    var orientation = this.ship.orientation;
    if (--worldScripts["ups_slaves"].ups_satellitecount == 0)
    {
        worldScripts["ups_slaves"].ups_slaves = "DEBRIEFING";
        this.ship.spawn("ups-slave-shuttle", 5).forEach(function (ship) {ship.orientation = orientation});
    }
}

this.launchSatelliteDefenders = function ()
{
	var orientation = this.ship.orientation;
	if (this.ship.target)
    {
		if (this.ship.target.alertCondition < 3) this.ship.target.alertCondition++;
        this.ship.target.spawn("ups_satellite_defense", 3).forEach(function (ship) {ship.orientation = orientation});
    }
}
this.increaseTargetAlertLevel = function ()
{
	if (this.ship.target)
    {
		if (this.ship.target.alertCondition < 3) this.ship.target.alertCondition++;
    }
}

/*
This satelite has role "station" for historical reasons: This way they could communicate over alert
levels with the legacy scripting.
*/
