"use strict";
this.name      = "upsSlaveRunnerPilot";
this.author    = "eric walch";
this.copyright = "2010 - 2013, eric walch.";

// Unloading this pilot for the first time will start the slave missions.

this.unloadCharacter = function ()
{
    if (!worldScripts["ups_slaves"].ups_slaverescue && worldScripts["ups_parcel"].ups_pcount > 8)
    {
        // start the slave missions when not already active.
        worldScripts["ups_slaves"].ups_slaverescue = true;
    }
    var credits = (0 < oolite.compareVersion("1.77")) ?
                    Math.ceil(Math.random()*90) + 10 :
                    player.ship.dockedStation.market.slaves.price / 10;
    player.addMessageToArrivalReport(expandMissionText("ups_slave_runner",{ups_credits: credits.toFixed(1)}));
    player.credits += credits;
}