"use strict";
this.name        = "UPS_Conditions";
this.author      = "phkb";
this.copyright   = "2015 phkb";
this.description = "Condition script for equipment.";
this.licence     = "CC BY-NC-SA 3.0";

//-------------------------------------------------------------------------------------------------------------
this.allowAwardEquipment = function(equipment, ship, context) {

	if (context == "scripted") return true;
	if (context == "npc") return false;

	switch (equipment) {
		case "EQ_CRIPPLED_CLOAKING": return false;
		case "EQ_UPS_POLICE_SCANNER":
		case "EQ_UPS_IDCLEANER":
			if (system.info.government == 0) {
				return true;
			} else {
				return false;
			}
		case "EQ_UPS_UNIVERSAL_SCANNER": return false;
		case "EQ_UPS_PRIVATE_ESCORT":
			if (system.info.government > 3 && !missionVariables.ups_private_escorts && player.ship.dockedStation.isMainStation && player.bounty == 0) {
				return true;
			} else {
				return false;
			}
	}

	return true;
}
